import cherrypy
from cherrytemplate import renderTemplate

from index import WebRoot


class WebError(WebRoot):
    def index(self, status):
        return self.list(status)

    index.exposed = True

                    
    def list(self, status):
        message = "The following error code has been encountered : " + status

        code = status.split()[0]
        if code == "404":
            message = "Object not found."
        elif code == "500":
            message = "Server has encountered a fatal error. \
              Please report this bug to the administrator."
        
        html = "<div class='error'> \
            <h2>Error " + code + "</h2> " \
            + message + \
          "</div>"

        return self.render(html)

    list.exposed = True

